=head1 NAME

Gtk2::CellRendererPixbuf

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererPixbuf


=head1 METHODS

=head2 cellrenderer = Gtk2::CellRendererPixbuf-E<gt>B<new> 

=over

=back


=head1 PROPERTIES

=over

=item 'follow-state' (boolean : readable / writable / private)

Whether the rendered pixbuf should be colorized according to the state

=item 'icon-name' (string : readable / writable / private)

The name of the icon from the icon theme

=item 'pixbuf' (Gtk2::Gdk::Pixbuf : readable / writable / private)

The pixbuf to render

=item 'pixbuf-expander-closed' (Gtk2::Gdk::Pixbuf : readable / writable / private)

Pixbuf for closed expander

=item 'pixbuf-expander-open' (Gtk2::Gdk::Pixbuf : readable / writable / private)

Pixbuf for open expander

=item 'stock-detail' (string : readable / writable / private)

Render detail to pass to the theme engine

=item 'stock-id' (string : readable / writable / private)

The stock ID of the stock icon to render

=item 'stock-size' (Glib::UInt : readable / writable / private)

The GtkIconSize value that specifies the size of the rendered icon

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::CellRenderer>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

